<?php
/* 
* Theme: PREMIUMPRESS CORE FRAMEWORK FILE
* Url: www.premiumpress.com
* Author: Mark Fail
*
* THIS FILE WILL BE UPDATED WITH EVERY UPDATE
* IF YOU WANT TO MODIFY THIS FILE, CREATE A CHILD THEME
*
* http://codex.wordpress.org/Child_Themes
*/
if (!defined('THEME_VERSION')) {	header('HTTP/1.0 403 Forbidden'); exit; }
    
global $post, $CORE; 
   
   $GLOBALS['flag-blog'] = true;
  
   $pageLinkingID = _ppt_pagelinking("blog_single");
 
   if( substr($pageLinkingID ,0,9) == "elementor" ){
   
	   get_header(); 
   
		   echo do_shortcode( "[premiumpress_elementor_template id='".substr($pageLinkingID,10,100)."']");
   
	   get_footer();
   
   }else{  

	$GLOBALS['flag-page-sidebar'] = 1; 

	get_header();  ?>

	<?php _ppt_template( 'single','breadcrumbs' ); ?>

	<?php _ppt_template( 'page-before' ); ?>
	
	<?php do_action('blogsingle'); ?>

	<?php echo _ppt_template( 'page-after' ); ?> 

	<?php get_footer(); ?>

<?php } ?>